Rated 5 out of 5 stars

Thank You for updating this for FF 3.5.2, the old version was not compatible

This review is for a previous version of the add-on (1.2).